Subject: Re: debian.rules.in and autoconf

From: Manoj Srivastava <[email-masked]>
Date: 01 Jul 1996 00:30:02 -0400

Hi,

	I do not want to get into a my-conf-system-is-better-than-yours
 flamewar, but ..

>>"Mark" == Mark Eichin <[email-masked]> writes:
Mark> Actually, one of these days I *might* just port the perl build
Mark> process to use autoconf. Perl metaconfig/Configure asks a lot of
Mark> questions to which (1) it already knows the answer (2) the user
Mark> *won't* know the answer...

	The perl Configure may be made as quiet as autoconf is,
 and as non-interactive, if you wish, at runtime.  The option of
 asking the user remains, and at time the user *does* know better.

	The verbosity is a matter of taste.  I prefer to be informed
 of what is going on, and am not intimidated by the complexity, and I
 like the flexibility of a sytem that allows me to pander my curiosity
 and paronia ;-).

Mark> Most perl builds I do I use the gnu-style configure anyhow, so
Mark> it doesn't matter much.  But yes, I think perl would be *better
Mark> off* using autoconf.  _Mark_
	
	I believe that the ``gnu-style configure'' is just some
 options to Configure, which then tries to emulate autoconf.  I think
 that metaconfig's Configure scripts are more powerful that aoutoconf,
 but that is merely an opinion.

	I also find it easier to write modules to extend metaconfig,
 but that could be a matter of taste. All I suggested was that we not
 dismiss metaconfig out of hand.

	manoj	
-- 
 The way to avoid the imputation of impudence is not to be ashamed of
 what we do, but never to do what we ought to be ashamed of.  -- Tully
Manoj Srivastava               Systems Research Programmer, Project Pilgrim,
Phone: (413) 545-3918                A143B Lederle Graduate Research Center,
Fax:   (413) 545-1249         University of Massachusetts, Amherst, MA 01003
<[email-masked]> <URL:http://www.pilgrim.umass.edu/%7Esrivasta/>